rte_ipsec_session(3)

NAME
rte_ipsec_session

SYNOPSIS

#include <rte_ipsec.h>

  Data Fields

struct rte_ipsec_sa * sa
enum rte_security_session_action_type type
union {
};
struct rte_ipsec_sa_pkt_func pkt_func

Detailed Description

rte_ipsec_session is an aggregate structure that defines particular IPsec Security Association IPsec (SA) on given security/crypto device:

•   pointer to the SA object

•   security session action type

•   pointer to security/crypto session, plus other related data

•   session/device specific functions to prepare/process IPsec packets.

Definition at line 78 of file rte_ipsec.h.

Field Documentation

  struct rte_ipsec_sa* sa
SA that session belongs to. Note that multiple sessions can belong to the same SA.

Definition at line 83 of file rte_ipsec.h.

  enum rte_security_session_action_type type
session action type

Definition at line 85 of file rte_ipsec.h.

  union { ... }
session and related data

  struct rte_ipsec_sa_pkt_func pkt_func
functions to prepare/process IPsec packets

Definition at line 99 of file rte_ipsec.h.

Author

Generated automatically by Doxygen for DPDK from the source code.